Recursos para IA
Consultar pagos por order ID

Retorna la lista de pagos asociados a un pedido.

GET

https://api.mercadopago.com/instore/v2/external/orders/{order_id}/payments
Request parameters
Header
Authorization
string

REQUERIDO

Bearer access token.
trace-id
string

REQUERIDO

Identificador de trazabilidad.
Path
order_id
string

REQUERIDO

ID del pedido retornado por el endpoint Resolve QR (order.id).
Response parameters
payment_id
string
Identificador único del pago asignado por Mercado Pago.
order_id
string
Identificador del pedido al que pertenece este pago, tal como fue retornado por el endpoint Resolve QR.
status
string
Estado actual del pago en el flujo de procesamiento de Mercado Pago. Valores posibles: APPROVED, REJECTED, IN_PROCESS, REFUNDED, CHARGED_BACK.
status_code
string
Código de estado detallado que proporciona contexto adicional sobre el resultado del pago, como el motivo específico de aprobación o rechazo.
Errores

404No encontrado

500Error interno del servidor

Request
curl -X GET \
    'https://api.mercadopago.com/instore/v2/external/orders/{order_id}/payments'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-' \
       -H 'trace-id: ' \
    
Response
[
  {
    "payment_id": "123",
    "order_id": "5582e8e3-a263-4c6b-bc12-a2d7b7f92860",
    "status": "APPROVED",
    "status_code": "APPROVED",
    "authorization_code": "301299",
    "amount": {
      "value": 100,
      "currency": "ARS"
    },
    "authorized_amount": {
      "value": 100,
      "currency": "ARS"
    },
    "plan": {
      "id": "MC10085214051",
      "type": "COMERCIO",
      "description": "description",
      "installments": 1,
      "total_amount": {
        "value": 300.5,
        "currency": "ARS"
      },
      "installment_amount": {
        "value": 300.5,
        "currency": "ARS"
      }
    },
    "card": {
      "original_bin": "450995",
      "original_last4": "3704",
      "type": "CREDIT",
      "brand_id": "118",
      "issuer_id": "310",
      "holder": {
        "name": "Test Test",
        "identification_type": "DNI",
        "identification_number": "23000000"
      }
    },
    "wallet": {
      "name": "galicia",
      "provider": "modo",
      "brand_wallet_id": "id_brand_123",
      "user": {
        "email": "test@example.com",
        "phone": "1141234567",
        "device_id": "ID_1234",
        "identification_type": "DNI",
        "identification_number": "33485274"
      }
    },
    "refunds": [],
    "created_at": "2024-01-17T11:37:47.000-04:00",
    "updated_at": "2024-01-17T11:37:47.000-04:00",
    "additional_info": null
  }
]